Summary: On Qt-based, cross-platform software is designed for creating and reading electronic books.

Summary(ru): Кроссплатформенная программа для создания и чтения электронных учебников. Основана на Qt.

%define version 1.0.5

Group: Education

Name: klen-library

BuildRequires: gcc-c++, libqt4-sql-sqlite >= 4.4.3, libqtgui4 >= 4.4.3, libqt4-core >= 4.4.3, libqt4-webkit >= 4.4.3 

BuildArch: %ix86

Provides: klen-library

Release: alt1 

Source: klen-library-%{version}.tar.gz 

Url: http://en.labfreetech.org

Version: %{version}

License: GPLv2

Packager: LabFreeTech.org admin@labfreetech.org

%description
On Qt-based, cross-platform software is designed for creating and reading electronic books.
 Supported features: - Working with multiple libraries; - Creation of a textbook; - Reading the textbook; - Rich editing the text of the textbook; - Search the text of the book; - Export of textbooks into the file(s): XWB, HTML, TXT, PDF, PostScript, RTF;(*) - Import of textbooks from the file(s) : XWB, HTML, TXT;(*) - Print book; - Inserting image; - Working with table; - Protection of books with a password; - Password protection mode editing; - There is a module testing(*); - Adding more information; - Statistics of work; - Backup library;

%description -l ru
Кроссплатформенная программа для создания и чтения электронных учебников. Основана на Qt.
 Поддерживаемые функции: - Работа с несколькими библиотеками; - Создание книги; - Чтение книги; - Добавление / удаление книг из базы данных; - Расширенное редактирование текста книги; - Поиск текста по книге; - Экспорт учебников в файл(ы): XWB, HTML, TXT, PDF, PostScript, RTF;(*) - Импорт учебников из файла(ов): XWB, HTML, TXT;(*) - Печать книги; - Вставка изображения; - Работа с таблицей; - Защита книг паролем: - Защита паролем режима редактирования; - Есть модуль тестирования(*); - Добавление дополнительной информации; - Статистика работы; - Резервирование библиотеки;


%prep

%setup -q 
%configure

%build
%make_build

%install

cp -Rv klen/ $RPM_BUILD_ROOT/

%clean

rm -rf $RPM_BUILD_ROOT

%files

/usr/*

%post 

if (test -d $HOME/Desktop) then
      test -e $HOME/Desktop/klen-library-1.0.5.desktop || ln -s /usr/share/applications/klen-library-1.0.5.desktop $HOME/Desktop/klen-library-1.0.5.desktop
else 
	echo "Use command \"/usr/bin/klen-library-1.0.5\""
fi

%postun 

test -L $HOME/Desktop/klen-library-1.0.5.desktop && rm -r $HOME/Desktop/klen-library-1.0.5.desktop
