/* ======================================================================
**  TListAdditionally.h - Заголовочный файл модуля формы дополнительной информации.
**  Является частью программы Клён-библиотека, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2013 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2013 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef TLISTADDITIONALLY_H
#define TLISTADDITIONALLY_H
#include "ui_TListAdditionally.h"
#include <QtCore/QStringList>
#include <QtCore/QUrl>
#include <QtCore/QTemporaryFile>
#include <QtGui/QFileDialog>
#include <QtGui/QDialog>
#include <QtGui/QDesktopServices>
#include "const.h"

namespace Ui {
class TListAdditionally;
}

class TListAdditionally : public QDialog, public Ui::TListAdditionally {
    Q_OBJECT

public:
    QStringList  slMusic;//Список музыки
    QStringList  slFilms;//Список фильмов
    QStringList  slPhotos;//Список фотографий
    QStringList  slDocuments;//Список документов
    QStringList  slPrograms;//Список программ

    QTemporaryFile *tfDoc;//Временный файл документа
    QString *sItem;//Тип информации

    bool gMode;//true - Режим просмотра, false - Режим редактирования

    explicit TListAdditionally(QDialog *pwgt = 0);
    ~TListAdditionally();

    Ui::TListAdditionally *ui;

private:

public slots:

private slots:
    void on_pbAddFile_clicked();//Добавить файл
    void on_pbRemoveFile_clicked();//Удалить файл
    void slotRunFile();//Запустить файл
};
#endif
