/* ======================================================================
**  TListBooks.h - Заголовочный файл модуля формы списка книг библиотеки.
**  Является частью программы Клён-библиотека, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2013 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2013 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef TLISTBOOKS_H
#define TLISTBOOKS_H
#include "ui_TListBooks.h"
#include <QtCore/QString>
#include <QtCore/QTime>
#include <QtCore/QStringList>
#include <QtGui/QDialog>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlRecord>
#include <QtSql/QSqlTableModel>

namespace Ui {
class TListBooks;
}

class TListBooks : public QDialog, public Ui::TListBooks {
    Q_OBJECT

public:

    int iNumberBook;//Номер книги
    int iCountTable;//Количество книг

    QStringList *slTableNumber;//Список номеров таблиц

    QSqlTableModel *model;//Модель списка книг

    explicit TListBooks(QDialog *pwgt = 0);
    ~TListBooks();

    Ui::TListBooks *ui;

private:

public slots:
    void slotCellClicked();//Выбор книги
    void slotAddBook();//Добавить книгу
    void slotDelBook();//Удалить книгу
    void slotbSave();//Сохранить базу


};
#endif //TLISTBOOKS_H
