/* ======================================================================
**  TFormOptions.h - Заголовочный файл формы модуля параметров библиотеки.
**  Является частью программы Клён-библиотека, распространяемой под
**  Стандартной общественной лицензией, версии 2 (GNU GPL v2).
** ======================================================================
**  Copyleft 2009 - 2013 by Lab Free Technologies <admin@LabFreeTech.org>
** ==============================================================================
**  Copyleft 2009 - 2013 Лаборатория свободных технологий <admin@LabFreeTech.org>
** ==============================================================================
*/

#ifndef TFORMOPTIONS_H
#define TFORMOPTIONS_H
#include "ui_TFormOptions.h"
#include <QtGui/QDialog>
#include <QtGui/QFileDialog>
#include <QtCore/QDir>
#include <tfileoptions/tfileoptions.h>

namespace Ui {
class TFormOptions;
}

class TFormOptions: public QDialog, public Ui::TFormOptions {
      Q_OBJECT

public:

       TFileOptions FileOptions;

       explicit TFormOptions(QDialog *pwgt = 0);
       ~TFormOptions();

       Ui::TFormOptions *ui;

       void initVariables();//Инициализация первоначального состояния переменных для отмены произведённых действий

private:

public slots:


private slots:
       void on_cbLastOpened_clicked();//Щелчок по флажку "Запоминать последнюю открытую базу библиотеки"
       void on_cbPathOptionsLocally_clicked();//Щелчок по флажку "Локально размещать файл свойств"
       void on_bbOptions_clicked(QAbstractButton *button);//Щелчок по одной из дилоговых кнопок
       void on_pbPathLibrary_clicked();//Выбор пути к библиотеке
       void on_pbPathStatistics_clicked();//Выбор файла статистики
       void on_pbPathOptions_clicked();//Выбор пути к файлу свойств программы
       void on_pbPathShelkTest_clicked();//Выбор пути к программе "Шёлковый тест"
};
#endif
